playerc_planner_t Struct Reference
planner

Planner device data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
int | path_valid
| Did the planner find a valid path?
int | path_done
| Have we arrived at the goal?
double | px
| Current pose (m, m, radians). More...
double | py
double | pa
double | gx
| Goal location (m, m, radians)
double | gy
double | ga
double | wx
| Current waypoint location (m, m, radians)
double | wy
double | wa
int | curr_waypoint
| Current waypoint index (handy if you already have the list of waypoints). More...
int | waypoint_count
| Number of waypoints in the plan.
double(* | waypoints )[3]
| List of waypoints in the current plan (m,m,radians). More...

## Detailed Description

Planner device data.

## Member Data Documentation

int playerc_planner_t::curr_waypoint

Current waypoint index (handy if you already have the list of waypoints).

May be negative if there's no plan, or if the plan is done

playerc_device_t playerc_planner_t::info

Device info; must be at the start of all device structures.

double playerc_planner_t::px

Current pose (m, m, radians).

double(* playerc_planner_t::waypoints)[3]

List of waypoints in the current plan (m,m,radians).

Call playerc_planner_get_waypoints() to fill this in.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45